/*
   SBMsgRus.prg
   Program to load messages for TSBrowse Multi-Lingual feature
   Author: Manuel Mercado

   Language ID: RUS
   ISO Name...: Russian
   Translator.: Grigory Filatov <gfilatov@freemail.ru>
   Country....: Ukraine
   Date.......: February 21th, 2002
*/

#include "FiveWin.ch"

//--------------------------------------------------------------------------//

Function LoadMsg()

   Local nEle

   Local aMsg := { "", ;                    // ::aMsg[ 1 ]
                   "", ;                   // ::aMsg[ 2 ]
                   " ", ;         // ::aMsg[ 3 ]
                   " ", ;      // ::aMsg[ 4 ]
                   "  ", ;   // ::aMsg[ 5 ]
                   "&", ;             // ::aMsg[ 6 ]
                   "& ", ;   // ::aMsg[ 7 ]
                   "& ", ;     // ::aMsg[ 8 ]
                   "& ", ;     // ::aMsg[ 9 ]
                   "& ", ;      // ::aMsg[ 10 ]
                   "", ;               // ::aMsg[ 11 ]
                   "", ;            // ::aMsg[ 12 ]
                   "", ;              // ::aMsg[ 13 ]
                   " &", ;         // ::aMsg[ 14 ]
                   " &", ;       // ::aMsg[ 15 ]
                   " &", ;        // ::aMsg[ 16 ]
                   " &", ;        // ::aMsg[ 17 ]
                   " &", ;    // ::aMsg[ 18 ]
                   "&", ;               // ::aMsg[ 19 ]
                   ":", ;                 // ::aMsg[ 20 ]
                   ":", ;             // ::aMsg[ 21 ]
                   ":", ;                // ::aMsg[ 22 ]
                   "( )", ; // ::aMsg[ 23 ]
                   "", ;               // ::aMsg[ 24 ]
                   " ", ;       // ::aMsg[ 25 ]
                   " ", ;        // ::aMsg[ 26 ]
                   "Tsbrowse SetFilter()       ", ;
                   "", ;                // ::aMsg[ 28 ]
                   "", ;                  // ::aMsg[ 29 ]
                   " ", ;         // ::aMsg[ 30 ]
                   ":", ;               // ::aMsg[ 31 ]
                   "Memo ", ;             // ::aMsg[ 32 ]
                   ":", ;       // ::aMsg[ 33 ]
                   "&", ;              // ::aMsg[ 34 ]
                   "&", ;             // ::aMsg[ 35 ]
                   "&", ;               // ::aMsg[ 36 ]
                   "  ?", ;      // ::aMsg[ 37 ]
                   "  ?", ;         // ::aMsg[ 38 ]
                   "", ;         // ::aMsg[ 39 ]
                   "      ", ;  // ::aMsg[ 40 ]
                   " [Esc]   ", ;    // ::aMsg[ 41 ]
                   "", ;    // ::aMsg[ 42 ] (future posible ussage)
                   "", ;    // ::aMsg[ 43 ]
                   "", ;    // ::aMsg[ 44 ]
                   "", ;    // ::aMsg[ 45 ]
                   "", ;    // ::aMsg[ 46 ]
                   "", ;    // ::aMsg[ 47 ]
                   "", ;    // ::aMsg[ 48 ]
                   "", ;    // ::aMsg[ 49 ]
                   "" }     // ::aMsg[ 50 ]

   // some conjunctions and prepositions for TSBrowse:Proper() method
   // keep spaces and capitals
   Local aProper := { "  ", ;    // ::aMsg[ 51 ]
                      "  ", ;   // ::aMsg[ 52 ]
                      "  ", ;    // ::aMsg[ 53 ]
                      "  ", ;    // ::aMsg[ 54 ]
                      "  " }   // ::aMsg[ 55 ]

   AEval( aProper, { |e| AAdd( aMsg, e ) } )

   For nEle := 1 To Len( aMsg )
       aMsg[ nEle ] := OemToAnsi( aMsg[ nEle ] )
   Next

Return aMsg
