/*
 * $Id: btndown.prg,v 1.1 2000/11/20 20:45:09 RRamirez Exp $
*/

#include "FiveWin.ch"

#define LTGRAY_BRUSH        1
#define RT_BITMAP           2

#define OPAQUE              0
#define TRANSPARENT         1

#define COLOR_BTNFACE      15
#define COLOR_BTNSHADOW    16
#define COLOR_BTNHIGHLIGHT 20

#define NO_FOCUSWIDTH      25

#ifdef __XPP__
   #define Super ::TControl
   #define New _New
#endif

//----------------------------------------------------------------------------//

CLASS TBtnDown FROM TBtnBmp

   METHOD ClassName() INLINE "TBTNBMP"

   METHOD New( nTop, nLeft, nWidth, nHeight,;
               cResName1, cResName2, cBmpFile1, cBmpFile2,;
               bAction, oWnd, cMsg, bWhen, lAdjust, lUpdate,;
               cPrompt, oFont, cResName3, cBmpFile3, lBorder ) CONSTRUCTOR

   METHOD MouseMove( nRow, nCol, nKeyFlags )
   METHOD Click()
   METHOD Paint()
ENDCLASS

//----------------------------------------------------------------------------//

METHOD New( nTop, nLeft, nWidth, nHeight,;
            cResName1, cResName2, cBmpFile1, cBmpFile2,;
            bAction, oWnd, cMsg, bWhen, lAdjust, lUpdate,;
            cPrompt, oFont, cResName3, cBmpFile3, lBorder )  CLASS TBtnDown

   Super:New( nTop, nLeft, nWidth, nHeight,;
            cResName1, cResName2, cBmpFile1, cBmpFile2,;
            bAction, oWnd, cMsg, bWhen, lAdjust, lUpdate,;
            cPrompt, oFont, cResName3, cBmpFile3, lBorder )

   ::cResName1 := cResName1

   ::lBorder := .t.

return Self

//----------------------------------------------------------------------------//

METHOD MouseMove( nRow, nCol, nKeyFlags ) CLASS TBtnDown

   Super:MouseMove( nRow, nCol, nKeyFlags )

   //::Capture()
   ::lBorder := .t.

return 0

//----------------------------------------------------------------------------//

METHOD Click() CLASS TBtnDown
   Super:Click()
   ::lBorder := .t.
   ::LostFocus()
   ::MouseMove( 0, 0, 0 )
return nil

METHOD Paint() CLASS TBtnDown
   Local hDC, nHeight, nWidth, lPressed

   Super:Paint()

   IF empty( ::cResName1 )
      nHeight = ::nHeight
      nWidth  = ::nWidth
      hDC     = ::hDC
      lPressed := ::lPressed
      SelectObject( hDC, GetStockObject( 4 ) )
      PolyPolygon( hDC, {;
         { nWidth / 2 - 2 + If( lPressed, 1, 0 ), nHeight / 2 - 1 + If( lPressed, 1, 0 ) } , ;
         { nWidth / 2 - 0 + If( lPressed, 1, 0 ), nHeight / 2 + 1 + If( lPressed, 1, 0 ) } , ;
         { nWidth / 2 + 2 + If( lPressed, 1, 0 ), nHeight / 2 - 1 + If( lPressed, 1, 0 ) } , ;
         { nWidth / 2 - 2 + If( lPressed, 1, 0 ), nHeight / 2 - 1 + If( lPressed, 1, 0 ) } } )

   ENDIF
   ::lBorder := .t.

Return Nil