/*
   SBMsgEng.prg
   Program to load messages for TSBrowse Multi-Lingual feature
   Author: Manuel Mercado

   Language ID: CHI
   ISO Name...: Chinese Simple (GB)
   Translator.: Wang Shuming <wangshuming@xtech.com.cn>
   Country....: China
   Date.......: February 21th, 2002
*/

#include "FiveWin.ch"

//--------------------------------------------------------------------------//

Function LoadMsg()

   Local nEle

   Local aMsg := { "", ;                   // ::aMsg[ 1 ]
                   "", ;                    // ::aMsg[ 2 ]
                   "¼ʹ", ;         // ::aMsg[ 3 ]
                   "", ;             // ::aMsg[ 4 ]
                   "¼û", ;   // ::aMsg[ 5 ]
                   "&Uԭ", ;                 // ::aMsg[ 6 ]
                   "&CĿ", ;          // ::aMsg[ 7 ]
                   "&TĿ", ;           // ::aMsg[ 8 ]
                   "&PճĿ", ;         // ::aMsg[ 9 ]
                   "&DɾĿ", ;        // ::aMsg[ 10 ]
                   "ɾ", ;                // ::aMsg[ 11 ]
                   "", ;                  // ::aMsg[ 12 ]
                   "", ;                   // ::aMsg[ 13 ]
                   "&D", ;            // ::aMsg[ 14 ]
                   "&R", ;           // ::aMsg[ 15 ]
                   "&U", ;              // ::aMsg[ 16 ]
                   "&L", ;            // ::aMsg[ 17 ]
                   "&Nһ", ;            // ::aMsg[ 18 ]
                   "&R", ;               // ::aMsg[ 19 ]
                   ":", ;                 // ::aMsg[ 20 ]
                   "ҳ:", ;                 // ::aMsg[ 21 ]
                   "ʱ:", ;                 // ::aMsg[ 22 ]
                   "(Ԥ)", ;             // ::aMsg[ 23 ]
                   "Ŀ", ;                // ::aMsg[ 24 ]
                   "", ;          // ::aMsg[ 25 ]
                   "Ŀ", ;         // ::aMsg[ 26 ]
                   "Tsbrowse SetFilter()뵱ǰβƥ", ;
                   "", ;                 // ::aMsg[ 28 ]
                   "ļ", ;              // ::aMsg[ 29 ]
                   "", ;         // ::aMsg[ 30 ]
                   ":", ;                // ::aMsg[ 31 ]
                   "עֶ", ;            // ::aMsg[ 32 ]
                   "༭:", ;              // ::aMsg[ 33 ]
                   "&A", ;               // ::aMsg[ 34 ]
                   "&Cȡ", ;               // ::aMsg[ 35 ]
                   "&H", ;                 // ::aMsg[ 36 ]
                   "ɾ¼?", ;       // ::aMsg[ 37 ]
                   "ɾ?", ;          // ::aMsg[ 38 ]
                   "ȷ", ;               // ::aMsg[ 39 ]
                   "¼ʹ,", ;  // ::aMsg[ 40 ]
                   "[ESC]ȡ༭ģʽ", ; // ::aMsg[ 41 ]
                   "", ;    // ::aMsg[ 42 ] (future posible ussage)
                   "", ;    // ::aMsg[ 43 ]
                   "", ;    // ::aMsg[ 44 ]
                   "", ;    // ::aMsg[ 45 ]
                   "", ;    // ::aMsg[ 46 ]
                   "", ;    // ::aMsg[ 47 ]
                   "", ;    // ::aMsg[ 48 ]
                   "", ;    // ::aMsg[ 49 ]
                   "" }     // ::aMsg[ 50 ]

   // some conjunctions and prepositions for TSBrowse:Proper() method
   // keep spaces and capitals
   // Chinese not need space between words in a sentense
   Local aProper := { "", ;    // ::aMsg[ 51 ]
                      "", ;    // ::aMsg[ 52 ]
                      "", ;    // ::aMsg[ 53 ]
                      "", ;   // ::aMsg[ 54 ]
                      "" }     // ::aMsg[ 55 ]

   AEval( aProper, { |e| AAdd( aMsg, e ) } )

   For nEle := 1 To Len( aMsg )
       aMsg[ nEle ] := OemToAnsi( aMsg[ nEle ] )
   Next

Return aMsg
