/*
   SBMsgPor.prg
   Program to load messages for TSBrowse Multi-Lingual feature
   Author: Manuel Mercado

   Language ID: POR
   ISO Name...: Portuguese
   Translator.: Antonio Carlos Pantaglione <Toninho@fwi.com.br>
   Country....: Brazil
   Date.......: February 18th, 2002
*/

#include "FiveWin.ch"

//--------------------------------------------------------------------------//

Function LoadMsg()

   Local nEle

   Local aMsg := { "Sim", ;                   // ::aMsg[ 1 ]
                   "No", ;                   // ::aMsg[ 2 ]
                   "Registro en uso", ;       // ::aMsg[ 3 ]
                   "Tentar novamente", ;      // ::aMsg[ 4 ]
                   "Registro no inserido", ; // ::aMsg[ 5 ]
                   "&Desfazer", ;             // ::aMsg[ 6 ]
                   "&Copiar Coluna", ;        // ::aMsg[ 7 ]
                   "Recor&tar Coluna", ;      // ::aMsg[ 8 ]
                   "Co&lar Coluna", ;         // ::aMsg[ 9 ]
                   "&Deletar Coluna", ;       // ::aMsg[ 10 ]
                   "Deletar", ;               // ::aMsg[ 11 ]
                   "Copiar", ;                // ::aMsg[ 12 ]
                   "Recortar", ;              // ::aMsg[ 13 ]
                   "Mover &Abaixo", ;         // ::aMsg[ 14 ]
                   "Mover &Direita", ;        // ::aMsg[ 15 ]
                   "Mover &Acima", ;          // ::aMsg[ 16 ]
                   "Mover &Esquerda", ;       // ::aMsg[ 17 ]
                   "Mover &Prxima", ;        // ::aMsg[ 18 ]
                   "Cu&rsor", ;               // ::aMsg[ 19 ]
                   "Data:", ;                 // ::aMsg[ 20 ]
                   "Pgina:", ;               // ::aMsg[ 21 ]
                   "Hora:", ;                 // ::aMsg[ 22 ]
                   "(Visualizao)", ;        // ::aMsg[ 23 ]
                   "Coluna", ;                // ::aMsg[ 24 ]
                   "rea Visvel", ;          // ::aMsg[ 25 ]
                   "Tamanho das Colunas", ;   // ::aMsg[ 26 ]
                   "Tsbrowse SetFilter() Tipos no condizentes com o tipo de ndice", ;
                   "Erro", ;                  // ::aMsg[ 28 ]
                   "O arquivo", ;             // ::aMsg[ 29 ]
                   "no existe", ;            // ::aMsg[ 30 ]
                   "Tamenho:", ;              // ::aMsg[ 31 ]
                   "Campo Memo", ;            // ::aMsg[ 32 ]
                   "Editando:", ;             // ::aMsg[ 33 ]
                   "&Ok", ;                   // ::aMsg[ 34 ]
                   "&Cancelar", ;             // ::aMsg[ 35 ]
                   "&Ajuda", ;                // ::aMsg[ 36 ]
                   "Deletar Registro ?", ;       // ::aMsg[ 37 ]
                   "Deletar Linha ?", ;          // ::aMsg[ 38 ]
                   "Confirme", ;               // ::aMsg[ 39 ]
                   "Registro em uso, ele no pode ser travado", ;  // ::aMsg[ 40 ]
                   "Pressione [Esc] para cancelar o modo de edio", ; // ::aMsg[ 41 ]
                   "", ;    // ::aMsg[ 42 ] ( para uso futuro )
                   "", ;    // ::aMsg[ 43 ]
                   "", ;    // ::aMsg[ 44 ]
                   "", ;    // ::aMsg[ 45 ]
                   "", ;    // ::aMsg[ 46 ]
                   "", ;    // ::aMsg[ 47 ]
                   "", ;    // ::aMsg[ 48 ]
                   "", ;    // ::aMsg[ 49 ]
                   "" }     // ::aMsg[ 50 ]

   // some conjunctions and prepositions for TSBrowse:Proper() method
   // keep spaces and capitals
   Local aProper := { " Para ", ;  // ::aMsg[ 51 ]
                      " De ", ;    // ::aMsg[ 52 ]
                      " Em ", ;    // ::aMsg[ 53 ]
                      " E ", ;     // ::aMsg[ 54 ]
                      " Ou " }     // ::aMsg[ 55 ]

   AEval( aProper, { |e| AAdd( aMsg, e ) } )

   For nEle := 1 To Len( aMsg )
       aMsg[ nEle ] := OemToAnsi( aMsg[ nEle ] )
   Next

Return aMsg
